Dieter Maurer wrote at 2008-4-11 19:13 +0200:
>Wes Modes wrote at 2008-4-10 21:04 -0700:
>>I upgraded to Zope 2.7.2 and all of my content can't be seen by Zope.  
>>Honestly I'm not sure what the previous version I was running was (nor 
>>am I sure how to find out).
>>
>>Now, every page results in
>>
>>Site Error
>>An error was encountered while publishing this resource.
>>Resource not found
>>Sorry, the requested resource does not exist.
>>Check the URL and try again.
>>Resource: Zope GET
>
>Difficult problems can be analyzed in interactive Python 
>sessions.
>
>Under *nix, you start such a session with "bin/zopectl debug"
>(under Windows, this does not work but there are alternatives).
>
>    from request import getRequest
>    request = getRequest()
>    obj = request.traverse('pathpart_of_your_url')
>    obj()
>
>If authentication is required, you use
>
>    from request import getAuthRequest
>    request = getAuthRequest(user, password)
>    ....
>
>If there are problems, you use "pdb.pm()" (or "dm.pdb.zpbd.pm()"
>for better Zope support) to analyse them.

I forgot. You can download "request.py" from

  http://www.dieter.handshake.de/pyprojects/zope/request.py


In order to get rid of a deprecation warning, you must replace "Zope"
with "Zope2".


-- 
Dieter
_______________________________________________
Zope maillist  -  Zope@zope.org
http://mail.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to